"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deprecateLog = void 0;
const deprecation_1 = require("deprecation");
/**
 * `app.log()` and `context.log()` were aliases for `.log.info()`.
 * The alias will be removed in v11
 */
function deprecateLog(log) {
    function logInfo() {
        log.warn(new deprecation_1.Deprecation('[probot] "app.log()" and "context.log()" are deprecated. Use "app.log.info()" and "context.log.info()" instead'));
        // @ts-ignore
        log.info(...arguments);
    }
    for (const key in log) {
        // @ts-ignore
        logInfo[key] =
            typeof log[key] === "function" ? log[key].bind(log) : log[key];
    }
    // @ts-ignore
    return logInfo;
}
exports.deprecateLog = deprecateLog;
//# sourceMappingURL=deprecate-log.js.map