"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.requestLogging = void 0;
function requestLogging(octokit) {
    octokit.hook.error("request", (error, options) => {
        const { method, url, request, ...params } = octokit.request.endpoint.parse(options);
        const msg = `GitHub request: ${method} ${url} - ${error.status}`;
        // @ts-ignore log.debug is a pino log method and accepts a fields object
        octokit.log.debug(params.body || {}, msg);
        throw error;
    });
    octokit.hook.after("request", (result, options) => {
        const { method, url, request, ...params } = octokit.request.endpoint.parse(options);
        const msg = `GitHub request: ${method} ${url} - ${result.status}`;
        // @ts-ignore log.debug is a pino log method and accepts a fields object
        octokit.log.debug(params.body || {}, msg);
    });
}
exports.requestLogging = requestLogging;
//# sourceMappingURL=logging.js.map